Bug 1412296 - [abrt] mock: util.py:154:rmtree:OSError: [Errno 39] Directory not empty: '/var/lib/mock/fedora-25-x86_64/root/var/lib/dnf/yumdb/c'
Summary: [abrt] mock: util.py:154:rmtree:OSError: [Errno 39] Directory not empty: '/va...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e22005ec7dfd94435c883c78c41...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 17:05 UTC by Gwendal
Modified: 2017-12-12 10:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:07:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (6.64 KB, text/plain)
2017-01-11 17:05 UTC, Gwendal
no flags Details
File: environ (157 bytes, text/plain)
2017-01-11 17:05 UTC, Gwendal
no flags Details

Description Gwendal 2017-01-11 17:05:12 UTC
Version-Release number of selected component:
mock-1.3.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 -tt /usr/libexec/mock/mock -r fedora-25-x86_64 --resultdir /home/ebousse/Perso/packaging/aseprite-simpler/results_aseprite-gpl/1.1.8/1 --rebuild /home/ebousse/Perso/packaging/aseprite-simpler/aseprite-gpl-1.1.8-1.src.rpm
executable:     /usr/libexec/mock/mock
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
#1 logOutput in /usr/lib/python3.5/site-packages/mockbuild/util.py:386
#2 do in /usr/lib/python3.5/site-packages/mockbuild/util.py:529
#3 trace in /usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py:89
#4 _selinuxDoYum in /usr/lib/python3.5/site-packages/mockbuild/plugins/selinux.py:101
#5 trace in /usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py:89
#6 execute in /usr/lib/python3.5/site-packages/mockbuild/package_manager.py:105
#7 trace in /usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py:89
#8 builddep in /usr/lib/python3.5/site-packages/mockbuild/package_manager.py:129
#9 trace in /usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py:89
#10 builddep in /usr/lib/python3.5/site-packages/mockbuild/package_manager.py:283

Comment 1 Gwendal 2017-01-11 17:05:20 UTC
Created attachment 1239541 [details]
File: backtrace

Comment 2 Gwendal 2017-01-11 17:05:21 UTC
Created attachment 1239542 [details]
File: environ

Comment 3 Fedora End Of Life 2017-11-16 15:01:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:07:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.